"use strict";Object.defineProperty(exports, "__esModule", {value: true});






var _chunkJS6XU4SQcjs = require('./chunk-JS6XU4SQ.cjs');


var _chunkUZ426MO6cjs = require('./chunk-UZ426MO6.cjs');

// src/raw.ts
var _common = require('@vue-macros/common');

// src/core/style.ts
var _compilersfc = require('@vue/compiler-sfc');
async function transformStyle(code, id, options) {
  const query = new URLSearchParams(id.split("?")[1]);
  const result = await _compilersfc.compileStyleAsync.call(void 0, {
    filename: id,
    id: `data-v-${query.get("scopeId")}`,
    isProd: options.isProduction,
    source: code,
    scoped: query.get("scoped") === "true"
  });
  return result.code;
}

// src/raw.ts
var name = "@vue-jsx-vapor/macros";
var plugin = (userOptions = {}) => {
  const options = _chunkUZ426MO6cjs.resolveOptions.call(void 0, userOptions);
  const filter = _common.createFilter.call(void 0, options);
  const importMap = /* @__PURE__ */ new Map();
  return {
    name,
    enforce: "pre",
    resolveId(id) {
      if (_common.normalizePath.call(void 0, id).startsWith(_chunkJS6XU4SQcjs.helperPrefix)) return id;
    },
    loadInclude(id) {
      return _common.normalizePath.call(void 0, id).startsWith(_chunkJS6XU4SQcjs.helperPrefix);
    },
    load(_id) {
      const id = _common.normalizePath.call(void 0, _id);
      if (id === _chunkJS6XU4SQcjs.useModelHelperId) return _chunkJS6XU4SQcjs.use_model_default;
      else if (id === _chunkJS6XU4SQcjs.withDefaultsHelperId) return _chunkJS6XU4SQcjs.with_defaults_default;
      else if (importMap.get(id)) return importMap.get(id);
    },
    transformInclude(id) {
      if (importMap.get(id)) return true;
      return filter(id);
    },
    transform(code, id) {
      if (importMap.get(id)) return transformStyle(code, id, options);
      return _chunkJS6XU4SQcjs.transformJsxMacros.call(void 0, code, id, importMap, options);
    }
  };
};
var raw_default = plugin;



exports.raw_default = raw_default;
